lp.expo error

May 5, 2010 at 7:06pm

lp.expo error

I get this error in the max window resnamecopy is no longer supported (called with STR# lp.expo)

What does this mean?

thx

#50201
May 6, 2010 at 7:12am

This is normally harmless. It comes from a time where using MacOS’ Resources to store stuff like static strings (for instance, the one describing inlets and outlets) was the way to go…
Since OSX, this is deprecated and explains why sd2 files are not supported anymore in Max :-( But this is another story…

I though Peter Castine did a recent version of its Litter Power tools, you should check his website.

p

#180164
May 6, 2010 at 5:42pm

thanks patrick, i will check peters page.

#180165
May 7, 2010 at 3:15pm

Patrick’s “mostly harmless” is correct, but there’s a difference between resources and resource *forks*. The former has not been deprecated by OS X, although Max5 made working with them more difficult than on previous Max versions. And that is the source of the cosmetic and spurious error message.

Which unfortunately doesn’t help jirko that much. I assume he’s using lp.expo from Litter Starter Pack v1.7.x (or earlier). The Litter Pro Bundle is at v1.8, which is fully Max5-friendly. The Starter Pack can actually work with Max 5, but there are enough cosmetic issues that it’s not as much fun as it is under Max 4. But if you’re only using a few individual objects like lp.expo, it can work fine, despite the odd warning message.

BTW, it’s a good idea to address issues with Litter Power to the contact address listed in the installation package (4-15@kagi.com). I am currently not able to follow the Max list as assiduously as I have at some times in the past.

#180166
May 7, 2010 at 8:15pm

Peter, nice to see you here again. And my apologies for my lack of precisions in my explanations.

p

#180167

You must be logged in to reply to this topic.